Skip to main content
POST
Tag a context repository on a cluster

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Path Parameters

cluster_id
string<uuid>
required

Body

application/json
repo_owner
string
required
Required string length: 1 - 100
Pattern: ^[A-Za-z0-9._-]+$
repo_name
string
required
Required string length: 1 - 200
Pattern: ^[A-Za-z0-9._-]+$
provider
enum<string>
default:github
Available options:
github
branch
string | null
Required string length: 1 - 255
note
string | null
Required string length: 1 - 500

Response

The tagged repository.

A repository tagged on a cluster as context for Ankra AI.

id
string<uuid>
required
provider
enum<string>
required
Available options:
github
repo_owner
string
required
repo_name
string
required
branch
string | null
required
note
string | null
required
created_by
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required